# fn() memset
An implementation of `memset` with fixed number of bytes using Metaprogramming.

Defined in | <seqa/misc/memset.h>
Signature | `template <unsigned SIZE> void memset(ptr[, c]);`

## Parameters

`ptr` | The first position to reset.
`c` | The value to set to.

## Template Parameters

`SIZE` | The number of bytes to reset, i.e. the values in `[ptr, ptr + SIZE)` are set to `c`.

## Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @fn memset
     *
     * @headerfile <seqa/misc/memset.h>
     *
     * @brief An implementation of <tt>memset</tt> with fixed number of bytes using
     *        Metaprogramming.
     *
     * @signature template <unsigned SIZE> void memset(ptr[, c]);
     *
     * @tparam SIZE The number of bytes to reset, i.e. the values in <tt>[ptr, ptr +
     *              SIZE)</tt> are set to <tt>c</tt>.
     *
     * @param[in,out] ptr The first position to reset.
     * @param[in] c The value to set to.
     */